//window.addEventListener('DOMContentLoaded', (event) => {

var ctx = document.getElementById("spectrum-view").getContext("2d");
let labels = [];
let inFFT = [];
let outFFT = [];
let eq = [];
let preeq = [];

let x = 0;
 
//for(var k = 10; k < 100000; k=k*10) {
//  for(var i = 1; i <= 10; i++) {
//    labels[x] = i*k;
//    lowfilter[x] = {x: i*k, y: -100};
//    lowmidfilter[x] = {x: i*k, y: -100};
//    himidfilter[x] = {x: i*k, y: -100};
//    hifilter[x] = {x: i*k, y: -100};
//   eq[x] = {x: i*k, y: 0};
//    x++;
//  }
//}


//Chart.defaults.font.family = "Titillium Web";
//Chart.defaults.font.size = 12;
//Chart.defaults.borderColor = window.getComputedStyle(document.documentElement).getPropertyValue('--bs-border-color');
//Chart.defaults.pointStyle = false;
//Chart.defaults.pointRadius  = 0;

document.freqChart = new Chart(ctx, {
  type: "line",
  data: {
    datasets: [
    {
      data: inFFT,
      order: 0,
      borderWidth: 2,
      //borderColor: window.getComputedStyle(document.body).getPropertyValue('--bs-blue'),
      borderColor: "rgba(67, 205, 255, 1.)",
      backgroundColor: "rgba(67, 205, 255, 0.5)",
      borderJoinStyle: "round",
      pointRadius: 0,
      fill: "start",
      spanGaps: true,
      lineTension: 0.5,
      //yAxisID: 'B',
    },
   {
     data: outFFT,
     order: 1,
     borderWidth: 2,
     //borderColor: window.getComputedStyle(document.body).getPropertyValue('--bs-primary'),
     borderColor: "rgba(67, 205, 255, 1.)",
     backgroundColor: "rgba(67, 205, 255, 1.)",
     borderJoinStyle: "round",
     pointRadius: 0,
     fill: "start",
     spanGaps: true,
     lineTension: 0.5,
     //yAxisID: 'B'
   }, 
   {
     data: eq,
     order: 2,
     borderWidth: 2,
     //borderColor: window.getComputedStyle(document.body).getPropertyValue('--bs-indigo'),
     //borderColor: "rgba(255, 67, 255, 1.0)",
     backgroundColor: "rgba(255, 67, 255, 0.5)",
     borderJoinStyle: "round",
     pointRadius: 0,
     lineTension: 0.5,
     fill: "end",
     spanGaps: true,
     yAxisID: 'B'
   },
//    {
//      data: preeq,
//      order: -4,
//      borderWidth: 3,
//      //borderColor: window.getComputedStyle(document.body).getPropertyValue('--bs-indigo'),
//      //borderColor: "rgba(0, 0, 0, 0.0)",
//      borderColor: window.getComputedStyle(document.body).getPropertyValue('--eq-color'),
//      borderJoinStyle: "round",
//      pointRadius: 0,
//      lineTension: 0.5,
//      fill: false,
//      spanGaps: true,
//      yAxisID: 'B'
//    },
    {
      data: [{x:20, y:-120}, {x:20, y:0}],
      order: -5,
      borderWidth: 4,
      borderColor: "rgba(128,128,128,0.5)",
      backgroundColor: "rgba(128,128,128,0.5)",
      borderJoinStyle: "round",
      pointRadius: 0,
      lineTension: 0,
      fill: "start",
      spanGaps: true,
    },
    {
      data: [{x:20000, y:-120}, {x:20000, y:0}],
      order: -5,
      borderWidth: 4,
      borderColor: "rgba(128,128,128,0.5)",
      backgroundColor: "rgba(128,128,128,0.5)",
      borderJoinStyle: "round",
      pointRadius: 0,
      lineTension: 0,
      fill: "start",
      spanGaps: true,
    }
    ]
  },
  options: {
    animation: { duration:0, easing: 'linear' },
    responsive: true,
    maintainAspectRatio: false,
    legend: {
      display: false
    },
    plugins: {
            filler: {
                propagate: false
            }
        },
    scales: {
      xAxes: [{
        type: "logarithmic",
        ticks: {
          min: 20,
          max: 20000,
          maxRotation: 45,
          minRotation: 45,
          display: true,
          stepSize: 1000,
          autoSkip: false,
          callback: function(...args) {
            const value = Chart.Ticks.formatters.logarithmic.call(this, ...args);
            if (value.length) {
              return Number(value).toLocaleString()
            }
            return value;
          }
        },
        gridLines: {
          color: window.getComputedStyle(document.body).getPropertyValue('--bs-secondary-bg'),
          zeroLineColor: window.getComputedStyle(document.body).getPropertyValue('--bs-secondary-bg')
        },
      }],
      yAxes: [{
        id: 'A',
        ticks: {
          min: -60,
          max: 0,
          stepSize: 1,
        },
        gridLines: {
          color: window.getComputedStyle(document.body).getPropertyValue('--bs-secondary-bg'),
          zeroLineColor: window.getComputedStyle(document.body).getPropertyValue('--bs-secondary-bg')
        }
      },
      {
        id: 'B',
        position: 'right',
        ticks: {
          min: -20,
          max: 0,
          stepSize: 1,
        }
      }]
    }
  }
});


//});
